Loading...
Searching...
No Matches
Opm::SurfvolBC< numComponents > Class Template Reference

A class for representing a surface volume boundary condition. More...

`#include <BoundaryConditions.hpp>`

Inheritance diagram for Opm::SurfvolBC< numComponents >:

## Public Types

typedef Dune::FieldVector< double, numComponents > | CompVec
typedef BCBase< CompVec > | Base
Public Types inherited from Opm::BCBase< Dune::FieldVector< double, numComponents > >
enum | BCType
| Enum for the allowed boundary condition types. More...

## Public Member Functions

| SurfvolBC ()
| Default constructor, that makes a Dirichlet condition with all zero component values.
| SurfvolBC (Dune::FieldVector< double, numComponents > value)
| Constructor taking a value.
CompVec | surfvol () const
| Query a Dirichlet condition.
bool | isDirichlet () const
| Forwarding the relevant type query.
Public Member Functions inherited from Opm::BCBase< Dune::FieldVector< double, numComponents > >
void | write (std::basic_ostream< charT, traits > &os) const
| Write type and value to an output stream.

## Additional Inherited Members

Protected Member Functions inherited from Opm::BCBase< Dune::FieldVector< double, numComponents > >
| BCBase ()
| Default constructor, that makes a Neumann condition with value 0.0.
bool | isDirichlet () const
| Type query.
bool | isNeumann () const
| Type query.
bool | isPeriodic () const
| Type query.
Protected Attributes inherited from Opm::BCBase< Dune::FieldVector< double, numComponents > >
BCType | type_
Dune::FieldVector< double, numComponents > | value_

## Detailed Description

template<int numComponents>
class Opm::SurfvolBC< numComponents >

A class for representing a surface volume boundary condition.

## Constructor & Destructor Documentation

## SurfvolBC()

template<int numComponents>

Opm::SurfvolBC< numComponents >::SurfvolBC | ( | Dune::FieldVector< double, numComponents > | value | ) |

inline explicit

Constructor taking a value.

Parameters

  value | the condition value.

## Member Function Documentation

## surfvol()

template<int numComponents>

CompVec Opm::SurfvolBC< numComponents >::surfvol | ( |  | ) | const

inline

Query a Dirichlet condition.

Returns
  the boundary saturation value

The documentation for this class was generated from the following file:

- opm/porsol/common/BoundaryConditions.hpp